%define upstream_name    MooseX-Method-Signatures
%define upstream_version 0.47

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Method declarations with type constraints and no source filter
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::EndOfScope) >= 0.100.0
BuildRequires: perl(Carp)
BuildRequires: perl(Context::Preserve)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::Declare) >= 0.5.11
BuildRequires: perl(Devel::Declare::Context::Simple)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Module::Runtime) >= 0.12.0
BuildRequires: perl(Moose) >= 0.890.0
BuildRequires: perl(Moose::Meta::Class)
BuildRequires: perl(Moose::Meta::Method)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::LazyRequire) >= 0.60.0
BuildRequires: perl(MooseX::Meta::TypeConstraint::ForceCoercion)
BuildRequires: perl(MooseX::Types) >= 0.350.0
BuildRequires: perl(MooseX::Types::Moose) >= 0.190.0
BuildRequires: perl(MooseX::Types::Structured) >= 0.240.0
BuildRequires: perl(MooseX::Types::Util)
BuildRequires: perl(Parse::Method::Signatures) >= 1.3.14
BuildRequires: perl(Parse::Method::Signatures::Param::Named)
BuildRequires: perl(Parse::Method::Signatures::Param::Placeholder)
BuildRequires: perl(Parse::Method::Signatures::TypeConstraint)
BuildRequires: perl(Parse::Method::Signatures::Types)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Name)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::CheckDeps) >= 0.2.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(Text::Balanced)
BuildRequires: perl(aliased)
BuildRequires: perl(attributes)
BuildRequires: perl(metaclass)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-aliased
BuildRequires: perl-namespace-autoclean
BuildArch:  noarch
Requires:   perl-aliased

%{?perl_default_filter}

%description
Provides a proper method keyword, like "sub" but specificly for making
methods and validating their arguments against Moose type constraints.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/MooseX


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.470.0-4.mga5
+ Revision: 750513
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.470.0-3.mga5
+ Revision: 735837
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.470.0-2.mga5
+ Revision: 685548
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.470.0-1.mga5
+ Revision: 586473
- update to 0.47

* Mon Oct 21 2013 umeabot <umeabot> 0.460.0-2.mga4
+ Revision: 539103
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 sander85 <sander85> 0.460.0-1.mga4
+ Revision: 491410
- update to 0.46

* Thu Sep 12 2013 sander85 <sander85> 0.450.0-1.mga4
+ Revision: 478128
- update to 0.45

* Mon Jun 10 2013 jquelin <jquelin> 0.440.0-1.mga4
+ Revision: 441697
- update to 0.44

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 0.430.0-1.mga3
+ Revision: 268025
- update to 0.43

* Fri Oct 14 2011 jquelin <jquelin> 0.370.0-1.mga2
+ Revision: 154811
- update to 0.37

* Wed Jan 26 2011 jquelin <jquelin> 0.360.0-1.mga1
+ Revision: 40719
- mageia rebuild
- imported package perl-MooseX-Method-Signatures


* Thu Sep 02 2010 Jérôme Quelin <jquelin@mandriva.org> 0.360.0-1mdv2011.0
+ Revision: 575400
- update to 0.36

* Sun Jul 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.350.0-1mdv2011.0
+ Revision: 558816
- new version

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.340.0-1mdv2011.0
+ Revision: 552418
- update to 0.34

* Mon Feb 08 2010 Jérôme Quelin <jquelin@mandriva.org> 0.300.0-1mdv2010.1
+ Revision: 502084
- update to 0.30

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.290.0-1mdv2010.1
+ Revision: 461332
- update to 0.29

* Wed Sep 23 2009 Jérôme Quelin <jquelin@mandriva.org> 0.270.0-1mdv2010.0
+ Revision: 447606
- update to 0.27

* Wed Sep 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.260.0-1mdv2010.0
+ Revision: 434687
- update to new version 0.26

* Tue Sep 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.240.0-1mdv2010.0
+ Revision: 423158
- update to 0.24

* Fri Aug 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.230.0-1mdv2010.0
+ Revision: 421832
- update to 0.23

* Mon Aug 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.210.0-1mdv2010.0
+ Revision: 420270
- update to 0.21

* Wed Aug 19 2009 Jérôme Quelin <jquelin@mandriva.org> 0.200.0-1mdv2010.0
+ Revision: 418126
- update to 0.20

* Mon Aug 17 2009 Jérôme Quelin <jquelin@mandriva.org> 0.190.0-1mdv2010.0
+ Revision: 417171
- update buildrequires:
- adding missing buildrequires:
- update to 0.19

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2010.0
+ Revision: 405946
- rebuild using %%perl_convert_version

* Tue May 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2010.0
+ Revision: 372187
- update to new version 0.16

* Sun Mar 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-2mdv2009.1
+ Revision: 352913
+ rebuild (emptylog)

* Thu Mar 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-1mdv2009.1
+ Revision: 348829
- update to new version 0.12

* Sun Mar 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2009.1
+ Revision: 346267
- update to new version 0.10

* Tue Feb 24 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdv2009.1
+ Revision: 344534
- update to new version 0.09

* Sun Feb 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2009.1
+ Revision: 343990
- new version

* Thu Dec 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2009.1
+ Revision: 310093
- import perl-MooseX-Method-Signatures


* Thu Dec 04 2008 cpan2dist 0.06-1mdv
- initial mdv release, generated with cpan2dist

